varying vec3 posVS, normalVS;
//varying vec3 posWS, normalWS;

void main(void)
{
	float t = 1.0/(1.0-posVS.z*0.3);
	
	float shade = max(dot(normalVS, vec3(0.0,0.0,-1.0)), 0.0);

	gl_FragData[0] = vec4(gl_Color.rgb*t*shade, 1.0);
	gl_FragData[1] = vec4(vec3(0.0,0.0,0.0), 0.0);
}
